Bug 6476 (int-149893)

Summary: Email: Awkward text: "Connecting Nokia servers to check service availability"
Product: [Maemo Official Platform] Translations Reporter: Stephen Gadsby <stephen.gadsby>
Component: English (USA)Assignee: unassigned <nobody>
Status: RESOLVED FIXED QA Contact: en-us-bugs
Severity: minor    
Priority: Low CC: andre_klapper
Version: 5.0/(2.2009.51-1)   
Target Milestone: 5.0/(10.2010.19-1)   
Hardware: N900   
OS: Maemo   

Description Stephen Gadsby (reporter) maemo.org 2009-12-01 17:22:50 UTC
SOFTWARE VERSION:

1.2009.42-11.002

EXACT STEPS LEADING TO PROBLEM: 

1. Launch E-mail.
2. In E-mail, tap the top bar to open the menu.
3. In the menu, tap "New account".
4. In the "Account setup" wizard that opens, tap the "Next" button.

The wizard will then automatically initiate communication with one or more
Nokia servers to determine what service providers should be made available to
the user. A dialog box with a progress bar and "Stop" button is displayed
during this process.

EXPECTED OUTCOME:

The text in the dialog box reads cleanly.

ACTUAL OUTCOME:

The text, "Connecting Nokia servers to check service availability", is awkward.

Either:

* Connecting _to_ Nokia servers to check service availability

-or-

* _Contacting_ Nokia servers to check service availability

would be better.

REPRODUCIBILITY:

always

EXTRA SOFTWARE INSTALLED:

n/a

OTHER COMMENTS:

User-Agent:       Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US;
rv:1.9.1.5) Gecko/20091102 Firefox/3.5.5
Comment 1 Andre Klapper maemo.org 2009-12-08 15:39:20 UTC
Thanks for reporting.

Assuming that you use English (US), it's the same with English (UK) in internal
version 49-3. Confirming and moving to Translations as this is about
"translating" a logical ID string to English. :-/
Comment 2 Andre Klapper maemo.org 2010-01-13 11:19:17 UTC
New string: "Connecting to Nokia servers to check service availability"

This has been fixed in packages
modest-l10n 6.0+r7483+0m5
modest-l10n-public 6.0+r7483+0m5
which is part of the internal build version
2009.51-8
(Note: 2009 is the year, and the number after is the week.)

A future public update released with the year/week later than this internal
build version will include the fix. (This is not always already the next public
update.)
Please verify that this new version fixes the bug by marking this bug report as
VERIFIED after the public update has been released and if you have some time.


To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/
Comment 3 Andre Klapper maemo.org 2010-03-15 20:56:28 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).